Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.simpledb.model
Class SelectRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.simpledb.model.SelectRequest

    public class SelectRequest

extends AmazonWebServiceRequest

Container for the parameters to the `Select operation`.

The `Select` operation returns a set of attributes for `ItemNames` that match the select expression. `Select` is similar to the standard SQL SELECT statement.

The total size of the response cannot exceed 1 MB in total size. Amazon SimpleDB automatically adjusts the number of items returned per page to enforce this limit. For example, if the client asks to retrieve 2500 items, but each individual item is 10 kB in size, the system returns 100 items and an appropriate `NextToken` so the client can access the next page of results.

For information on how to construct select expressions, see Using Select to Create Amazon SimpleDB Queries in the Developer Guide.

See Also:
  `AmazonSimpleDB.select(SelectRequest)`

Constructor Summary
`SelectRequest()` Default constructor for a new SelectRequest object.
`SelectRequest(String selectExpression)` Constructs a new SelectRequest object.
`SelectRequest(String selectExpression, Boolean consistentRead)` Constructs a new SelectRequest object.

Method Summary
`Boolean` | `getConsistentRead()` Determines whether or not strong consistency should be enforced when data is read from SimpleDB.
`String` | `getNextToken()` A string informing Amazon SimpleDB where to start the next list of `ItemNames`.
`String` | `getSelectExpression()` The expression used to query the domain.
`Boolean` | `isConsistentRead()` Determines whether or not strong consistency should be enforced when data is read from SimpleDB.
`void` | `setConsistentRead(Boolean consistentRead)` Determines whether or not strong consistency should be enforced when data is read from SimpleDB.
`void` | `setNextToken(String nextToken)` A string informing Amazon SimpleDB where to start the next list of `ItemNames`.
`void` | `setSelectExpression(String selectExpression)` The expression used to query the domain.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`SelectRequest` | `withConsistentRead(Boolean consistentRead)` Determines whether or not strong consistency should be enforced when data is read from SimpleDB.
`SelectRequest` | `withNextToken(String nextToken)` A string informing Amazon SimpleDB where to start the next list of `ItemNames`.
`SelectRequest` | `withSelectExpression(String selectExpression)` The expression used to query the domain.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelectRequest

    public SelectRequest()

  Default constructor for a new SelectRequest object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

### SelectRequest

    public SelectRequest(String selectExpression)

  Constructs a new SelectRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `selectExpression` - The expression used to query the domain.

### SelectRequest

    public SelectRequest(String selectExpression,
                         Boolean consistentRead)

  Constructs a new SelectRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `selectExpression` - The expression used to query the domain.
    `consistentRead` - Determines whether or not strong consistency should be enforced when data is read from SimpleDB. If `true`, any data previously written to SimpleDB will be returned. Otherwise, results will be consistent eventually, and the client may not see data that was written immediately before your read.

Method Detail

### getSelectExpression

    public String getSelectExpression()

  The expression used to query the domain.

  Returns:
    The expression used to query the domain.

### setSelectExpression

    public void setSelectExpression(String selectExpression)

  The expression used to query the domain.

  Parameters:
    `selectExpression` - The expression used to query the domain.

### withSelectExpression

    public SelectRequest withSelectExpression(String selectExpression)

  The expression used to query the domain.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `selectExpression` - The expression used to query the domain.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getNextToken

    public String getNextToken()

  A string informing Amazon SimpleDB where to start the next list of `ItemNames`.

  Returns:
    A string informing Amazon SimpleDB where to start the next list of `ItemNames`.

### setNextToken

    public void setNextToken(String nextToken)

  A string informing Amazon SimpleDB where to start the next list of `ItemNames`.

  Parameters:
    `nextToken` - A string informing Amazon SimpleDB where to start the next list of `ItemNames`.

### withNextToken

    public SelectRequest withNextToken(String nextToken)

  A string informing Amazon SimpleDB where to start the next list of `ItemNames`.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `nextToken` - A string informing Amazon SimpleDB where to start the next list of `ItemNames`.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isConsistentRead

    public Boolean isConsistentRead()

  Determines whether or not strong consistency should be enforced when data is read from SimpleDB. If `true`, any data previously written to SimpleDB will be returned. Otherwise, results will be consistent eventually, and the client may not see data that was written immediately before your read.

  Returns:
    Determines whether or not strong consistency should be enforced when data is read from SimpleDB. If `true`, any data previously written to SimpleDB will be returned. Otherwise, results will be consistent eventually, and the client may not see data that was written immediately before your read.

### setConsistentRead

    public void setConsistentRead(Boolean consistentRead)

  Determines whether or not strong consistency should be enforced when data is read from SimpleDB. If `true`, any data previously written to SimpleDB will be returned. Otherwise, results will be consistent eventually, and the client may not see data that was written immediately before your read.

  Parameters:
    `consistentRead` - Determines whether or not strong consistency should be enforced when data is read from SimpleDB. If `true`, any data previously written to SimpleDB will be returned. Otherwise, results will be consistent eventually, and the client may not see data that was written immediately before your read.

### withConsistentRead

    public SelectRequest withConsistentRead(Boolean consistentRead)

  Determines whether or not strong consistency should be enforced when data is read from SimpleDB. If `true`, any data previously written to SimpleDB will be returned. Otherwise, results will be consistent eventually, and the client may not see data that was written immediately before your read.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `consistentRead` - Determines whether or not strong consistency should be enforced when data is read from SimpleDB. If `true`, any data previously written to SimpleDB will be returned. Otherwise, results will be consistent eventually, and the client may not see data that was written immediately before your read.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getConsistentRead

    public Boolean getConsistentRead()

  Determines whether or not strong consistency should be enforced when data is read from SimpleDB. If `true`, any data previously written to SimpleDB will be returned. Otherwise, results will be consistent eventually, and the client may not see data that was written immediately before your read.

  Returns:
    Determines whether or not strong consistency should be enforced when data is read from SimpleDB. If `true`, any data previously written to SimpleDB will be returned. Otherwise, results will be consistent eventually, and the client may not see data that was written immediately before your read.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.